Page MenuHomePhabricator

Allow inline comment storage objects to generate their own runtime objects
ClosedPublic

Authored by epriestley on May 7 2020, 3:50 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Nov 26, 9:03 PM
Unknown Object (File)
Tue, Nov 22, 3:16 PM
Unknown Object (File)
Sat, Nov 19, 11:55 AM
Unknown Object (File)
Thu, Nov 17, 3:44 PM
Unknown Object (File)
Tue, Nov 15, 5:09 AM
Unknown Object (File)
Mon, Oct 31, 1:23 PM
Unknown Object (File)
Oct 27 2022, 12:14 PM
Unknown Object (File)
Oct 23 2022, 11:02 AM
Subscribers
None

Details

Summary

Ref T13513. Currently, inline storage objects ("TransactionComment") can't directly generate a runtime object ("InlineComment").

Allow this transformation to be performed in a genric way so clunky code which does it per-object-type can be removed, lifted, or simplified.

Simplify an especially gross callsite in preview code.

Test Plan

Previewed inline comments.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.May 7 2020, 10:57 PM
This revision was automatically updated to reflect the committed changes.